Index: cards/MuonCollider/MuonColliderDet_BTagging.tcl
===================================================================
--- cards/MuonCollider/MuonColliderDet_BTagging.tcl	(revision d631475df67d5ca97d4365a0add876e8ba352532)
+++ cards/MuonCollider/MuonColliderDet_BTagging.tcl	(revision 1a8ef08f54995556d5a0228233c386ef06ef0423)
@@ -12,77 +12,7 @@
 	source MuonCollider/MuonColliderDet_BTag_50.tcl
 }
-module BTagging BTagging_WP70_R02N2 {
+
+module BTagging BTagging_WP50_R02N2 {
 	set JetInputArray JetMomentumSmearing_VLCR02N2/JER_VLCjetsR02N2
-	set BitNumber 1
-	source MuonCollider/MuonColliderDet_BTag_70.tcl
-}
-module BTagging BTagging_WP90_R02N2 {
-	set JetInputArray JetMomentumSmearing_VLCR02N2/JER_VLCjetsR02N2
-	set BitNumber 2
-	source MuonCollider/MuonColliderDet_BTag_90.tcl
-}
-module BTagging BTagging_WP50_R02N3 {
-	set JetInputArray JetMomentumSmearing_VLCR02N3/JER_VLCjetsR02N3
-	set BitNumber 0
-	source MuonCollider/MuonColliderDet_BTag_50.tcl
-}
-module BTagging BTagging_WP70_R02N3 {
-	set JetInputArray JetMomentumSmearing_VLCR02N3/JER_VLCjetsR02N3
-	set BitNumber 1
-	source MuonCollider/MuonColliderDet_BTag_70.tcl
-}
-module BTagging BTagging_WP90_R02N3 {
-	set JetInputArray JetMomentumSmearing_VLCR02N3/JER_VLCjetsR02N3
-	set BitNumber 2
-	source MuonCollider/MuonColliderDet_BTag_90.tcl
-}
-module BTagging BTagging_WP50_R02N4 {
-	set JetInputArray JetMomentumSmearing_VLCR02N4/JER_VLCjetsR02N4
-	set BitNumber 0
-	source MuonCollider/MuonColliderDet_BTag_50.tcl
-}
-module BTagging BTagging_WP70_R02N4 {
-	set JetInputArray JetMomentumSmearing_VLCR02N4/JER_VLCjetsR02N4
-	set BitNumber 1
-	source MuonCollider/MuonColliderDet_BTag_70.tcl
-}
-module BTagging BTagging_WP90_R02N4 {
-	set JetInputArray JetMomentumSmearing_VLCR02N4/JER_VLCjetsR02N4
-	set BitNumber 2
-	source MuonCollider/MuonColliderDet_BTag_90.tcl
-}
-module BTagging BTagging_WP50_R02N5 {
-	set JetInputArray JetMomentumSmearing_VLCR02N5/JER_VLCjetsR02N5
-	set BitNumber 0
-	source MuonCollider/MuonColliderDet_BTag_50.tcl
-}
-module BTagging BTagging_WP70_R02N5 {
-	set JetInputArray JetMomentumSmearing_VLCR02N5/JER_VLCjetsR02N5
-	set BitNumber 1
-	source MuonCollider/MuonColliderDet_BTag_70.tcl
-}
-module BTagging BTagging_WP90_R02N5 {
-	set JetInputArray JetMomentumSmearing_VLCR02N5/JER_VLCjetsR02N5
-	set BitNumber 2
-	source MuonCollider/MuonColliderDet_BTag_90.tcl
-}
-module BTagging BTagging_WP50_R02N6 {
-	set JetInputArray JetMomentumSmearing_VLCR02N6/JER_VLCjetsR02N6
-	set BitNumber 0
-	source MuonCollider/MuonColliderDet_BTag_50.tcl
-}
-module BTagging BTagging_WP70_R02N6 {
-	set JetInputArray JetMomentumSmearing_VLCR02N6/JER_VLCjetsR02N6
-	set BitNumber 1
-	source MuonCollider/MuonColliderDet_BTag_70.tcl
-}
-module BTagging BTagging_WP90_R02N6 {
-	set JetInputArray JetMomentumSmearing_VLCR02N6/JER_VLCjetsR02N6
-	set BitNumber 2
-	source MuonCollider/MuonColliderDet_BTag_90.tcl
-}
-
-module BTagging BTagging_WP50_R05N2 {
-	set JetInputArray JetMomentumSmearing_VLCR05N2/JER_VLCjetsR05N2
 	set BitNumber 0
 
@@ -96,4 +26,93 @@
 	source MuonCollider/MuonColliderDet_BTag_50.tcl
 }
+module BTagging BTagging_WP70_R02N2 {
+	set JetInputArray JetMomentumSmearing_VLCR02N2/JER_VLCjetsR02N2
+	set BitNumber 1
+	source MuonCollider/MuonColliderDet_BTag_70.tcl
+}
+module BTagging BTagging_WP90_R02N2 {
+	set JetInputArray JetMomentumSmearing_VLCR02N2/JER_VLCjetsR02N2
+	set BitNumber 2
+	source MuonCollider/MuonColliderDet_BTag_90.tcl
+}
+module BTagging BTagging_WP50_R02N3 {
+	set JetInputArray JetMomentumSmearing_VLCR02N3/JER_VLCjetsR02N3
+	set BitNumber 0
+	source MuonCollider/MuonColliderDet_BTag_50.tcl
+}
+module BTagging BTagging_WP70_R02N3 {
+	set JetInputArray JetMomentumSmearing_VLCR02N3/JER_VLCjetsR02N3
+	set BitNumber 1
+	source MuonCollider/MuonColliderDet_BTag_70.tcl
+}
+module BTagging BTagging_WP90_R02N3 {
+	set JetInputArray JetMomentumSmearing_VLCR02N3/JER_VLCjetsR02N3
+	set BitNumber 2
+	source MuonCollider/MuonColliderDet_BTag_90.tcl
+}
+module BTagging BTagging_WP50_R02N4 {
+	set JetInputArray JetMomentumSmearing_VLCR02N4/JER_VLCjetsR02N4
+	set BitNumber 0
+	source MuonCollider/MuonColliderDet_BTag_50.tcl
+}
+module BTagging BTagging_WP70_R02N4 {
+	set JetInputArray JetMomentumSmearing_VLCR02N4/JER_VLCjetsR02N4
+	set BitNumber 1
+	source MuonCollider/MuonColliderDet_BTag_70.tcl
+}
+module BTagging BTagging_WP90_R02N4 {
+	set JetInputArray JetMomentumSmearing_VLCR02N4/JER_VLCjetsR02N4
+	set BitNumber 2
+	source MuonCollider/MuonColliderDet_BTag_90.tcl
+}
+module BTagging BTagging_WP50_R02N5 {
+	set JetInputArray JetMomentumSmearing_VLCR02N5/JER_VLCjetsR02N5
+	set BitNumber 0
+	source MuonCollider/MuonColliderDet_BTag_50.tcl
+}
+module BTagging BTagging_WP70_R02N5 {
+	set JetInputArray JetMomentumSmearing_VLCR02N5/JER_VLCjetsR02N5
+	set BitNumber 1
+	source MuonCollider/MuonColliderDet_BTag_70.tcl
+}
+module BTagging BTagging_WP90_R02N5 {
+	set JetInputArray JetMomentumSmearing_VLCR02N5/JER_VLCjetsR02N5
+	set BitNumber 2
+	source MuonCollider/MuonColliderDet_BTag_90.tcl
+}
+module BTagging BTagging_WP50_R02N6 {
+	set JetInputArray JetMomentumSmearing_VLCR02N6/JER_VLCjetsR02N6
+	set BitNumber 0
+	source MuonCollider/MuonColliderDet_BTag_50.tcl
+}
+module BTagging BTagging_WP70_R02N6 {
+	set JetInputArray JetMomentumSmearing_VLCR02N6/JER_VLCjetsR02N6
+	set BitNumber 1
+	source MuonCollider/MuonColliderDet_BTag_70.tcl
+}
+module BTagging BTagging_WP90_R02N6 {
+	set JetInputArray JetMomentumSmearing_VLCR02N6/JER_VLCjetsR02N6
+	set BitNumber 2
+	source MuonCollider/MuonColliderDet_BTag_90.tcl
+}
+module BTagging BTagging_WP50_R07N2 {
+	set JetInputArray JetMomentumSmearing_VLCR07N2/JER_VLCjetsR07N2
+	set BitNumber 0
+	source MuonCollider/MuonColliderDet_BTag_50.tcl
+}
+
+module BTagging BTagging_WP50_R05N2 {
+	set JetInputArray JetMomentumSmearing_VLCR05N2/JER_VLCjetsR05N2
+	set BitNumber 0
+
+	# 50% efficiency working point
+    # add EfficiencyFormula {abs(PDG code)} {efficiency formula as a function of eta and pt}
+    # PDG code = the highest PDG code of a quark or gluon inside DeltaR cone around jet axis
+    # gluon's PDG code has the lowest priority
+
+	# based on CLICdp-Note-2014-002
+
+	source MuonCollider/MuonColliderDet_BTag_50.tcl
+}
 module BTagging BTagging_WP70_R05N2 {
 	set JetInputArray JetMomentumSmearing_VLCR05N2/JER_VLCjetsR05N2
@@ -166,5 +185,4 @@
 	source MuonCollider/MuonColliderDet_BTag_90.tcl
 }
-
 module BTagging BTagging_WP50_R07N2 {
 	set JetInputArray JetMomentumSmearing_VLCR07N2/JER_VLCjetsR07N2
